Subject: Re: [PATCH 3/8] repack -A -d: use --keep-unreachable when repacking

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 17 Sep 2007 23:01:56 -0400

Johannes Schindelin <[email-masked]> wrote:
> On Mon, 17 Sep 2007, Junio C Hamano wrote:
> 
> > -USAGE='[-a] [-d] [-f] [-l] [-n] [-q] [--max-pack-size=N] [--window=N] [--window-memory=N] [--depth=N]'
> > +USAGE='[-a|-A] [-d] [-f] [-l] [-n] [-q] [--max-pack-size=N] [--window=N] [--window-memory=N] [--depth=N]'
> 
> Would "[-a] [-A]" not be better?  In other usage lines, we have the "|" 
> for alternative forms of the _same_ option, like "[-m|--merge]".
> 
> > +	-A)	all_into_one=t
> > +		keep_unreachable=t ;;
> 
> Why not "keep_unreachable=--keep-unreachable" and use "$args 
> $keep_unreachable" later?

I agree.  Aside from the above and my other reply about editing
pack_name in place to test the .keep file I'm happy with this series.
I know the automatic GC thing has been a hot topic in the past with
various parties on different sides of the fence.  I think this is
a pretty reasonable implementation that actually is a fairly good
comprimise between the two sides.

Thanks Junio.

-- 
Shawn.